/******************************************************************************
* latLng.h
*
* RouteSketch
*
******************************************************************************
* Copyright (C) 2013 Andreas Gemsa <gemsa@kit.edu>, Thomas Pajor
*
* This program is free software: you can redistribute it and/or modify it
* under the terms of the GNU General Public License as published by the Free
* Software Foundation, either version 3 of the License, or (at your option)
* any later version.
*
* This program is distributed in the hope that it will be useful, but WITHOUT
* ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
* FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License for
* more details.
*
* You should have received a copy of the GNU General Public License along with
* this program.  If not, see <http://www.gnu.org/licenses/>.
*****************************************************************************/
/*
 * latLng.h
 *
 *  Created on: 09.06.2010
 *      Author: pajor
 */

#ifndef LATLNG_H_
#define LATLNG_H_

#include "../types.h"

namespace schematization {

struct latLng {
	double lat;
	double lng;
	latLng(double lat_, double lng_) : lat(lat_), lng(lng_) {}

	bool operator==(const latLng &other) const {
		return (this->lat == other.lat && this->lng == other.lng);
	}
};

}

#endif /* LATLNG_H_ */
